commit:     1ce8410284d376e459dc16729a328b3ff419e175
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sun Nov  1 23:39:21 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Nov  1 23:41:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ce84102

dev-python/pyphen: bump to v0.10.0

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-python/pyphen/Manifest             |  1 +
 dev-python/pyphen/pyphen-0.10.0.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/pyphen/Manifest b/dev-python/pyphen/Manifest
index 2e700e77971..782c9939d49 100644
--- a/dev-python/pyphen/Manifest
+++ b/dev-python/pyphen/Manifest
@@ -1 +1,2 @@
+DIST pyphen-0.10.0.tar.gz 1894118 BLAKE2B 
c33283d6eb3dd7affb52b91826fa0f8fab8ec8f858158e905e8487dc2ad8c77a88e4b25699ed6272d246bcf8a926560e18ec224f59703452ea1ad5c921e4fb4b
 SHA512 
b6d789ca6eb010c1c79b28a9a0e68620ea5600adc43111bed5dbda3cb8b3a4c8c05caa3fb44ea60b0ef4a20272f17cf5e6fe61f0d1e48038395407ff53da7a92
 DIST pyphen-0.9.5.tar.gz 1901384 BLAKE2B 
809f7e3c204ab7de87a387909fb0d9aebd3d48586a6b1da8a683a8b1f862e2d2489babfb30c9792acca44c0fe7bd5da39c1508245ec784dce30a4c7124e91152
 SHA512 
049a62b226e90e568c8f56e756f8fa6fbc74f3bc40d61af8eb05ff2d4404a7b29cef14d4f144d68ed2f2b11eb128491de64536240ba7b76a2d04010c76e10346

diff --git a/dev-python/pyphen/pyphen-0.10.0.ebuild 
b/dev-python/pyphen/pyphen-0.10.0.ebuild
new file mode 100644
index 00000000000..1dbb3a13825
--- /dev/null
+++ b/dev-python/pyphen/pyphen-0.10.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="Python module for hyphenation using hunspell dictionaries"
+MY_PN="Pyphen"
+MY_P="${MY_PN}-${PV}"
+SRC_URI="https://github.com/Kozea/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+HOMEPAGE="https://github.com/Kozea/Pyphen";
+
+LICENSE="GPL-2+ LGPL-2+ MPL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=""
+DEPEND="test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+S="${WORKDIR}/${MY_P}"
+
+distutils_enable_tests pytest
+
+python_test() {
+       pytest -v test.py || die
+}

Reply via email to